apiVersion: hive.openshift.io/v1
kind: ClusterDeployment
metadata:
  annotations:
    hive.openshift.io/minor-version-upgrade-unavailable: ""
    open-cluster-management.io/user-group: c3lzdGVtOmNsdXN0ZXItYWRtaW5zLHN5c3RlbTphdXRoZW50aWNhdGVk
    open-cluster-management.io/user-identity: a3ViZTphZG1pbg==
  creationTimestamp: "2025-06-24T03:46:09Z"
  finalizers:
  - hive.openshift.io/deprovision
  generation: 3
  labels:
    cloud: vSphere
    cluster.open-cluster-management.io/clusterset: default
    hive.openshift.io/cluster-platform: vsphere
    hive.openshift.io/cluster-region: unknown
    hive.openshift.io/version: 4.17.33
    hive.openshift.io/version-major: "4"
    hive.openshift.io/version-major-minor: "4.17"
    hive.openshift.io/version-major-minor-patch: 4.17.33
    vendor: OpenShift
  name: qe2-vmware-ibm
  namespace: qe2-vmware-ibm
  resourceVersion: "7635502"
  uid: 80d41c22-e5ae-4758-bf98-958a79df940d
spec:
  baseDomain: dev09.red-chesterfield.com
  clusterMetadata:
    adminKubeconfigSecretRef:
      name: qe2-vmware-ibm-0-sl259-admin-kubeconfig
    adminPasswordSecretRef:
      name: qe2-vmware-ibm-0-sl259-admin-password
    clusterID: 769d7515-fc45-4349-a6af-a2e07f981e4b
    infraID: qe2-vmware-ibm-d6t5x
  clusterName: qe2-vmware-ibm
  controlPlaneConfig:
    servingCertificates: {}
  installAttemptsLimit: 1
  installed: true
  platform:
    vsphere:
      certificatesSecretRef:
        name: qe2-vmware-ibm-vsphere-certs
      cluster: Workload Cluster
      credentialsSecretRef:
        name: qe2-vmware-ibm-vsphere-creds
      datacenter: Workload Datacenter
      defaultDatastore: WORKLOAD-DS
      folder: ACM-QE
      network: Public Network
      vCenter: acmcicd-vcsa-01.cicd.red-chesterfield.com
  provisioning:
    imageSetRef:
      name: img4.17.33-multi-appsub
    installConfigSecretRef:
      name: qe2-vmware-ibm-install-config
    sshPrivateKeySecretRef:
      name: qe2-vmware-ibm-ssh-private-key
  pullSecretRef:
    name: qe2-vmware-ibm-pull-secret
status:
  apiURL: https://api.qe2-vmware-ibm.dev09.red-chesterfield.com:6443
  cliImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2de3550b78078d36058ae021bed7d05a8d34e63e313b945acc8f069d442ab60e
  conditions:
  - lastProbeTime: "2025-06-24T04:24:49Z"
    lastTransitionTime: "2025-06-24T04:24:49Z"
    message: 'Unsupported platform: no actuator to handle it'
    reason: Unsupported
    status: "False"
    type: Hibernating
  - lastProbeTime: "2025-06-24T03:46:10Z"
    lastTransitionTime: "2025-06-24T03:46:10Z"
    message: Platform credentials passed authentication check
    reason: PlatformAuthSuccess
    status: "False"
    type: AuthenticationFailure
  - lastProbeTime: "2025-06-24T04:24:49Z"
    lastTransitionTime: "2025-06-24T04:24:49Z"
    message: Control plane certificates are present
    reason: ControlPlaneCertificatesFound
    status: "False"
    type: ControlPlaneCertificateNotFound
  - lastProbeTime: "2025-06-24T03:46:19Z"
    lastTransitionTime: "2025-06-24T03:46:19Z"
    message: Images required for cluster deployment installations are resolved
    reason: ImagesResolved
    status: "False"
    type: InstallImagesNotResolved
  - lastProbeTime: "2025-06-24T03:47:04Z"
    lastTransitionTime: "2025-06-24T03:47:04Z"
    message: Successfully launched install pod
    reason: InstallLaunchSuccessful
    status: "False"
    type: InstallLaunchError
  - lastProbeTime: "2025-06-24T03:46:16Z"
    lastTransitionTime: "2025-06-24T03:46:16Z"
    message: InstallerImage is resolved.
    reason: InstallerImageResolved
    status: "False"
    type: InstallerImageResolutionFailed
  - lastProbeTime: "2025-06-24T04:24:49Z"
    lastTransitionTime: "2025-06-24T04:24:49Z"
    message: Provision qe2-vmware-ibm-0-sl259 succeeded.
    reason: ProvisionSucceeded
    status: "False"
    type: ProvisionFailed
  - lastProbeTime: "2025-06-24T03:46:19Z"
    lastTransitionTime: "2025-06-24T03:46:19Z"
    message: Provision is not stopped
    reason: ProvisionNotStopped
    status: "False"
    type: ProvisionStopped
  - lastProbeTime: "2025-06-24T04:24:49Z"
    lastTransitionTime: "2025-06-24T04:24:49Z"
    message: Cluster is provisioned
    reason: Provisioned
    status: "True"
    type: Provisioned
  - lastProbeTime: "2025-06-24T04:24:49Z"
    lastTransitionTime: "2025-06-24T04:24:49Z"
    message: No power state actuator -- assuming running
    reason: Running
    status: "True"
    type: Ready
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: no ClusterRelocates match
    reason: NoMatchingRelocates
    status: "False"
    type: RelocationFailed
  - lastProbeTime: "2025-06-24T03:46:19Z"
    lastTransitionTime: "2025-06-24T03:46:19Z"
    message: All pre-provision requirements met
    reason: AllRequirementsMet
    status: "True"
    type: RequirementsMet
  - lastProbeTime: "2025-06-24T04:24:53Z"
    lastTransitionTime: "2025-06-24T04:24:53Z"
    message: SyncSet apply is successful
    reason: SyncSetApplySuccess
    status: "False"
    type: SyncSetFailed
  - lastProbeTime: "2025-06-26T16:24:50Z"
    lastTransitionTime: "2025-06-24T04:24:50Z"
    message: cluster is reachable
    reason: ClusterReachable
    status: "False"
    type: Unreachable
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkFailed
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkReady
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ActiveAPIURLOverride
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallCompleted
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallFailed
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallRequirementsMet
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallStopped
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DNSNotReady
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DeprovisionLaunchError
  - lastProbeTime: "2025-06-24T03:46:09Z"
    lastTransitionTime: "2025-06-24T03:46:09Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: IngressCertificateNotFound
  installStartedTimestamp: "2025-06-24T03:46:20Z"
  installVersion: 4.17.33
  installedTimestamp: "2025-06-24T04:24:49Z"
  installerImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9c56d9e66a2bad4c37454489bdc5080f146d33135ef1728b9e2142c55a279eb6
  powerState: Running
  provisionRef:
    name: qe2-vmware-ibm-0-sl259
  webConsoleURL: https://console-openshift-console.apps.qe2-vmware-ibm.dev09.red-chesterfield.com
